#!../../bin/linux-x86/dp97

< envPaths
epicsEnvSet P "$(P=lab212)"
epicsEnvSet SERIAL "$(SERIAL=164.54.49.63:4007)"

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/DP97.dbd",0,0)
DP97_registerRecordDeviceDriver(pdbbase)

## Register all hardware
drvAsynIPPortConfigure("L0","$(SERIAL)",0,0,0)

## Diagnostics
#asynSetTraceMask("L0",-1,0x09)
#asynSetTraceIOMask("L0",-1,0x2)

## Load record instances
dbLoadRecords("db/devDP97.db","P=$(P),R=Temp:,L=0,A=-1")

cd ${TOP}/iocBoot/${IOC}
iocInit()

## Ensure that we're reading the right thing
dbpf "$(P)Temp:Units" "C"
dbpf "$(P)Temp:Input" "A"
